aboutsummaryrefslogtreecommitdiff
path: root/share/trashman/spotx
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2022-12-30 16:39:58 -0300
committerSilvio Rhatto <rhatto@riseup.net>2022-12-30 16:39:58 -0300
commita1f990751b9494d6e3db78c3a63dc646bde95acd (patch)
tree6bd347f74a191942ddc6574b37b51af9042719d4 /share/trashman/spotx
parentee73a4b3e03ade37e54bdc758ae244df07c7f636 (diff)
downloadtrashman-a1f990751b9494d6e3db78c3a63dc646bde95acd.tar.gz
trashman-a1f990751b9494d6e3db78c3a63dc646bde95acd.tar.bz2
Feat: adds spotify and spotx
Diffstat (limited to 'share/trashman/spotx')
-rw-r--r--share/trashman/spotx/info1
-rwxr-xr-xshare/trashman/spotx/unix/linux/install25
2 files changed, 26 insertions, 0 deletions
diff --git a/share/trashman/spotx/info b/share/trashman/spotx/info
new file mode 100644
index 0000000..e2aba68
--- /dev/null
+++ b/share/trashman/spotx/info
@@ -0,0 +1 @@
+one-stop place for blocking ads on Spotify
diff --git a/share/trashman/spotx/unix/linux/install b/share/trashman/spotx/unix/linux/install
new file mode 100755
index 0000000..2eacedf
--- /dev/null
+++ b/share/trashman/spotx/unix/linux/install
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Parameters
+SHARE="$1"
+COMMIT="c954826f9e659b4a3a684c9903a1eeec2980b0b5"
+
+# Include basic functions
+. $SHARE/trashman/functions || exit 1
+
+# Requirements
+trashman install spotify || exit 1
+
+# Download
+if [ ! -d "/usr/local/src/spotx" ]; then
+ git clone https://github.com/SpotX-CLI/SpotX-Linux /usr/local/src/spotx
+fi
+
+# Use the latest version
+#git -C /usr/local/src/spotx pull
+
+# Checkout an specific version
+git -C /usr/local/src/spotx checkout $COMMIT
+
+# Install
+bash /usr/local/src/spotx/install.sh